Draft Wire

From FreeCAD Documentation
Revision as of 21:36, 7 October 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft Wire

Ubicación en el Menú
Croquis -> Polilínea
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
W I
Introducido en versión
-
Ver también
Ninguno

Description

Descripción

La herramienta Contorno crea polilíneas (secuencias de líneas formadas por varios segmentos) en el plano de trabajo actual. Toma el Espesor de línea y color previamente definidos en la pestaña de tareas. La herramienta Contorno se comporta como la herramienta Línea, con la excepción de que no termina tras indicar dos puntos.

The Draft BSpline tool behaves like the Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

Usage

Utilización

  1. Presiona el botón Contorno, o presiona las teclas W y I
  2. Selecciona un primer punto en la vista 3D, o escribe unas coordenadas
  3. Selecciona puntos adicionales en la vista 3D, o escribe coordenadas
  4. Presiona F o C, o haz doble clic en el último punto, o selecciona el primer punto para terminar o cerrar el contorno. Si el contorno es cerrado, también será una cara, aunque su apariencia sea alámbrica.

The wire can be edited by double clicking on the element in the Tree view, or by pressing the Draft Edit button. Then you can move the points to a new position, or click add point or remove point and then click on the wire to add or remove points.

Fuse single lines

If several connected Draft Lines are selected when pressing the Draft Polyline button, they will be turned into a wire and the command will exit. introduced in version 0.17

Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the start and end points of the lines, or use Draft Snap with the Draft Endpoint mode to make the nodes coincident.

Options

Opciones

  • Si se seleccionan Draft Lineas conectadas al presionar el botón Draft Wire, se convertirán en un Wire y el comando terminara. introduced in version 0.17
  • Presiona F o el botón Terminar para finalizar el contorno, dejándolo abierto
  • Presiona C o el botón Cerrar o selecciona el primer punto para finalizar el contorno, pero haciendo que se cierre añadiendo un último segmento entre el último punto y el primero.
  • Presiona X, Y o Z después de un punto para restringir el siguiente punto con respecto al eje dado.
  • Para introducir coordenadas manualmente, simplemente introduce los números, presiona ENTER entre cada componente X, Y y Z.
  • Presiona R o selecciona la casilla para activar / desactivar el modo Relativo. Si está activado el modo relativo, las coordenadas del siguiente punto son relativas al anterior. En caso contrario, son absolutas, desde el origen de coordenadas (0,0,0).
  • Presiona T o selecciona la casilla para activar / desactivar el modo Continuo. Si está activado el modo continuo, la herramienta Contorno se iniciará después de que termines o cierres el contorno actual, permitiendo que dibujes otro contorno sin necesidad de pulsar el botón de Contorno otra vez.
  • Presiona CTRL mientras dibujas para forzar el ajuste del punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu siguiente punto horizontal o verticalmente en relación al último punto indicado.
  • Presiona W o el botón Contorno para eliminar el segmento existente y comenzar el contorno desde el último punto.
  • Presiona CTRL+Z o el botón Deshacer para deshacer el último punto.
  • Presiona I o el botón Relleno para que el Wire se muestre como una cara si esta cerrada.
  • Presiona ESC o el botón Cancelar para abortar el comando Línea actual.
  • Los Wires cerrados, cuando están en el modo de visualización "Líneas planas", pueden mostrar un patrón de sombreado, configurando a continuación la propiedad "Patrón".

Propiedades

  • DATOSClosed: Especifica si el contorno está cerrado o no
  • DATOS Chamfer Size: especifica el tamaño de las esquinas achaflanadas
  • DATOSFillet Radius: Especifica un radio de curvatura para dar a los nodos del contorno
  • DATOS Subdivisions: divide los segmentos del cable con el número dado de subdivisiones introduced in version 0.16
  • DATOS Make Face: Rellena el Wire con una cara si está cerrado
  • VISTAEnd Arrow: Muestra un símbolo de flecha en el último punto del contorno, de modo que se puede utilizar como una anotación con línea directriz
  • VISTA Pattern: especifica un patrón de sombreado para llenar el wire (wire cerrado)
  • VISTA Tamaño de patrón: especifica el tamaño del patrón de sombreado

Data

  • DatosStart: specifies the first point in the wire.
  • DatosEnd: specifies the last point in the wire, not counting the initial point if the wire is closed.
  • DatosClosed: specifies if the wire is closed or not. If the wire is initially open, this value is false; setting it to true will draw a line segment to close the wire. If the wire is initially closed, this value is true; setting it to false will remove the last line segment, and make the wire open.
  • DatosChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the wire.
  • DatosFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DatosMake Face: specifies if the wire makes a face or not. If it is true a face is created, otherwise only the edges are considered part of the object. This property only works if DatosClosed is true.
Note: do not set DatosMake Face to true if the wire intersects itself, as it won't create a proper face.
  • DatosSubdivisions: specifies the number of interior nodes in each segment of the wire. introduced in version 0.16
  • DatosLength: (read-only) specifies the length of the entire wire.

View

  • VistaEnd Arrow: if it is true it will display a symbol at the last point of the wire, so it can be used as an annotation line.
  • VistaArrow Size: specifies the size of the symbol displayed at the end of the wire.
  • VistaArrow Type: specifies the type of symbol displayed at the end of the wire, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VistaPattern: specifies a Draft Pattern with which to fill the face of the closed wire. This property only works if DatosMake Face is true, and if VistaDisplay Mode is "Flat Lines".
  • VistaPattern Size: specifies the size of the Draft Pattern.

Programación

La herramienta Contorno se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

See also: Draft API and FreeCAD Scripting Basics.

The Wire tool can be used in macros and from the Python console by using the following function:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crea un objeto Contorno a partir de la lista de vectores dada o a partir del contorno dado.
    • Si cerrado es True o si el primer y último puntos son idénticos, el contorno es cerrado.
    • Si el modo de cara es True (y el contorno está cerrado), el contorno se mostrará relleno.
  • Se utilizaran el espesor de línea y color actuales.
  • Devuelve el objeto recién creado.

Ejemplo:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)